Dynamic Label admin API Resource

HDC administrator Dynamic Labels Web Service

POST /admin/dynamiclabel

Add dynamic label.

Example of request:

{labelName: "Test", labelDescription: "For testing", labelClassId: "108", layerId: "2"}

Try it out!

Request Body
media type data type description
application/json HdcDynamicLabelTO (JSON) The specification of dynamic label that has to be added.
Response Body
media type data type description
application/json HdcBasicObjectIdOnlyTO (JSON) JSON Response with information, whether the adding has or has not been succeeded.

GET /admin/dynamiclabel/json

Get list of dynamic labels.

Try it out!

Response Body
media type data type description
application/json object (JSON) JSON Response with the list of labels.

Example of response:

{"list":[{"labelId":"2","labelName":"Complex data","labelDescription":"Multiple descriptions","showFlags":0},{"labelClassName":"space","labelClassLabel":"Rum","layerName":"BRA","labelId":"1","labelName":"Room data","labelDescription":"Room description","labelClassId":"108","layerId":"2","showFlags":0}]}

DELETE /admin/dynamiclabel/{labelId}

Delete dynamic label

Try it out!

Request Parameters
name type description default constraints
labelId path ID of dynamic label   int
Response Body
media type data type description
application/json HdcSuccessTO (JSON) JSON Response with information, whether the removing has or has not been succeeded.

PUT /admin/dynamiclabel/{labelId}

Update dynamic label.

Example of request:

{labelName: "Test", labelDescription: "For testing only", labelClassId: "108", layerId: "2"}

Try it out!

Request Parameters
name type description default constraints
labelId path ID of dynamic label   long
Request Body
media type data type description
application/json HdcDynamicLabelTO (JSON) The specification of presentation that has to be updated.
Response Body
media type data type description
application/json HdcBasicObjectIdOnlyTO (JSON) JSON Response with information, whether the updating has or has not been succeeded.

PUT /admin/dynamiclabel/detail/reorder

Try it out!

Request Body
media type data type
application/json string (JSON)
Response Body
media type data type description
application/json HdcSuccessTO (JSON)

DELETE /admin/dynamiclabel/detail/{detailId}

Remove dynamic detail

Try it out!

Request Parameters
name type description default constraints
detailId path ID of dynamic detail   int
Response Body
media type data type description
application/json HdcSuccessTO (JSON) JSON Response with information, whether the removing has or has not been succeeded.

POST /admin/dynamiclabel/detail/{labelId}

Add dynamic detail.

Example of request:

{name: "ID", sourceClassId: "108", perspectiveSetId: "", targetFieldName: "fi2space_id"}

Try it out!

Request Parameters
name type description default constraints
labelId path ID of dynamic label   long
Request Body
media type data type description
application/json HdcDynamicDetailTO (JSON) The specification of dynamic detail that has to be added.
Response Body
media type data type description
application/json HdcBaseTO (JSON) JSON Response with information, whether the adding has or has not been succeeded.

PUT /admin/dynamiclabel/detail/{labelId}/{detailId}

Update dynamic detail.

Example of request:

{name: "ID", sourceClassId: "108", perspectiveSetId: "", targetFieldName: "fi2space_id"}

Try it out!

Request Parameters
name type description default constraints
detailId path ID of detail   long
labelId path ID of label   long
Request Body
media type data type description
application/json HdcDynamicDetailTO (JSON) The specification of filter that has to be updated.
Response Body
media type data type description
application/json HdcBasicObjectIdOnlyTO (JSON) JSON Response with information, whether the updating has or has not been succeeded.

GET /admin/dynamiclabel/details/json/{labelId}

Get list of details for dynamic label

Try it out!

Request Parameters
name type description default constraints
labelId path   long
Response Body
media type data type description
application/json object (JSON) JSON Response with list of details for given dynamic label

Example of response:

{"list":[{"sourceClassName":"space","sourceClassLabel":"Rum","targetFieldLabel":"Room","id":"8","name":"Name","sourceClassId":"108","targetFieldName":"fi2space_name"},{"perspectiveSetName":"RU","sourceClassName":"space","sourceClassLabel":"Rum","targetClassName":"ru","targetClassLabel":"Rental Unit","targetFieldLabel":"Name","id":"9","name":"RU name","sourceClassId":"108","perspectiveSetId":"928","targetClassId":"128","targetFieldName":"runame"},{"sourceClassName":"space","sourceClassLabel":"Rum","targetFieldLabel":"HyperDoc ID","id":"1","name":"ID","sourceClassId":"108","targetFieldName":"hdid"}]}